package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.*;
import com.zanxiang.game.data.serve.pojo.vo.*;
import com.zanxiang.game.data.serve.utils.Page;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

public interface IAccountAgentDayService {
    /**
     * 推广每日数据
     * @param dto
     * @return
     */
    Page<GamePromoteDayVO> accountAgentDay(GamePromoteDayDTO dto);

    /**
     * 推广每日数据总计栏
     * @param dto
     * @return
     */
    GamePromoteDayTotalVO accountAgentDayTotal(GamePromoteDayTotalDTO dto);

    /**
     * 推广总数据
     * @param dto
     * @return
     */
    Page<GamePromoteTotalVO> accountAgentTotal(GamePromoteTotalDTO dto);

    /**
     * 推广每日复充趋势
     * @param dto
     * @return
     */
    Map<LocalDate, List<AgentDayAgainVO>> accountAgentDayAgain(AgentDayAgainDTO dto);

    GamePromoteTotalSumVO accountAgentTotalSum(GamePromoteTotalSumDTO dto);
}
